package org.bitbucket.bradleysmithllc.etlunit;

import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestClass;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestMethod;

import java.util.ArrayList;
import java.util.List;

public class TestClassReference
{
	private final ETLTestClass testClass;
	private final List<ETLTestMethod> testMethods = new ArrayList<ETLTestMethod>();

	public TestClassReference(ETLTestClass cl)
	{
		testClass = cl;
		testMethods.addAll(cl.getTestMethods());
	}

	public TestClassReference(ETLTestClass cl, List<ETLTestMethod> methods)
	{
		testClass = cl;
		testMethods.addAll(methods);
	}

	public ETLTestClass getTestClass()
	{
		return testClass;
	}

	public List<ETLTestMethod> getTestMethods()
	{
		return testMethods;
	}
}